Name:           bvi
Version:        1.3.2
Release:        8%{?dist}
Summary:        Display-oriented editor for binary files
Summary(fr):    Afficheur orienté editeur pour fichiers binaires

License:        GPLv2+
URL:            http://bvi.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.src.tar.gz

# Fix empty debuginfo package :
Patch0:         %{name}-1.3.2-no_strip.patch
# Move from /usr/lib64/bmore.help to /usr/share/bvi/bmore.help :
Patch1:         %{name}-1.3.2-fix_help_install.patch

BuildRequires:  ncurses-devel


%description
The bvi is a display-oriented editor for binary files, based
on the vi text-editor. If you are familiar with vi, just start
the editor and begin to edit! A bmore program is also
included in the package.

%description -l fr
Le bvi est un afficheur orienté éditeur pour fichiers binaires, basé sur
l'éditeur de texte vi. Si vi vous est familié, démarrez juste l'éditeur
et commencez à éditer! Un logiciel bmore est également inclu dans le
paquet.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
# Fix the path of the bmore.help file specified in the man page :
sed -i "s@/usr/local/share/bmore.help@/usr/share/bvi/bmore.help@" ./bmore.1

%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%files
%doc README COPYING CREDITS CHANGES
%{_bindir}/%{name}
%{_bindir}/bmore
%{_bindir}/bvedit
%{_bindir}/bview
%{_datadir}/%{name}/
%{_mandir}/man1/*.1.*


%changelog
* Thu Aug 16 2012 Matthieu Saulnier <fantom@fedoraproject.org> - 1.3.2-8
- Add French translation in spec file

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 07 2012 Matthieu Saulnier <fantom@fedoraproject.org> - 1.3.2-6
- fix license in spec file

* Sat Dec 24 2011 Matthieu Saulnier <fantom@fedoraproject.org> - 1.3.2-5
- remove version macro in patches names
- cleanup sed statement

* Wed Dec 21 2011 Matthieu Saulnier <fantom@fedoraproject.org> - 1.3.2-4
- add comments for patches
- fix path of bmore.help specified in man page by sed

* Sun Dec 11 2011 Matthieu Saulnier <fantom@fedoraproject.org> - 1.3.2-3
- add patch to fix empty debuginfo package
- add patch to move help file

* Wed Dec 09 2011 Matthieu Saulnier <fantom@fedoraproject.org> - 1.3.2-2
- fix broken help function

* Thu Dec 08 2011 Matthieu Saulnier <fantom@fedoraproject.org> - 1.3.2-1
- Initial Release
